Module | WEBrick::HTTPStatus
In: | webrick/httpstatus.rb

### Methods

[] client_error? error? info? reason_phrase redirect? server_error? success?

### Classes and Modules

Class WEBrick::HTTPStatus::ClientError
Class WEBrick::HTTPStatus::EOFError
Class WEBrick::HTTPStatus::Error
Class WEBrick::HTTPStatus::Info
Class WEBrick::HTTPStatus::Redirect
Class WEBrick::HTTPStatus::ServerError
Class WEBrick::HTTPStatus::Status
Class WEBrick::HTTPStatus::Success

### Constants

StatusMessage

=

{ 100, 'Continue', 101, 'Switching Protocols', 200, 'OK', 201, 'Created', 202, 'Accepted', 203, 'Non-Authoritative Information', 204, 'No Content', 205, 'Reset Content', 206, 'Partial Content', 300, 'Multiple Choices', 301, 'Moved Permanently', 302, 'Found', 303, 'See Other', 304, 'Not Modified', 305, 'Use Proxy', 307, 'Temporary Redirect', 400, 'Bad Request', 401, 'Unauthorized', 402, 'Payment Required', 403, 'Forbidden', 404, 'Not Found', 405, 'Method Not Allowed', 406, 'Not Acceptable', 407, 'Proxy Authentication Required', 408, 'Request Timeout', 409, 'Conflict', 410, 'Gone', 411, 'Length Required', 412, 'Precondition Failed', 413, 'Request Entity Too Large', 414, 'Request-URI Too Large', 415, 'Unsupported Media Type', 416, 'Request Range Not Satisfiable', 417, 'Expectation Failed', 500, 'Internal Server Error', 501, 'Not Implemented', 502, 'Bad Gateway', 503, 'Service Unavailable', 504, 'Gateway Timeout', 505, 'HTTP Version Not Supported'

CodeToError | = | {}

### Public Class methods

[](code)

[Source]

    # File webrick/httpstatus.rb, line 118
        def self.[](code)
          CodeToError[code]
        end

### Public Instance methods

client_error?(code)

[Source]

    # File webrick/httpstatus.rb, line 111
        def client_error?(code)
          code.to_i >= 400 and code.to_i < 500
        end

error?(code)

[Source]

    # File webrick/httpstatus.rb, line 108
        def error?(code)
          code.to_i >= 400 and code.to_i < 600
        end

info?(code)

[Source]

    # File webrick/httpstatus.rb, line 99
        def info?(code)
          code.to_i >= 100 and code.to_i < 200
        end

reason_phrase(code)

[Source]

    # File webrick/httpstatus.rb, line 96
        def reason_phrase(code)
          StatusMessage[code.to_i]
        end

redirect?(code)

[Source]

    # File webrick/httpstatus.rb, line 105
        def redirect?(code)
          code.to_i >= 300 and code.to_i < 400
        end

server_error?(code)

[Source]

    # File webrick/httpstatus.rb, line 114
        def server_error?(code)
          code.to_i >= 500 and code.to_i < 600
        end

success?(code)

[Source]

    # File webrick/httpstatus.rb, line 102
        def success?(code)
          code.to_i >= 200 and code.to_i < 300
        end

[Validate]